%define perl_version %(perl -MConfig -e 'print $Config{version}')

Summary: The drakxtools (diskdrake, ...)
Name:    drakxtools
Version: 17.85
Release: %mkrel 1
Url:     http://mageia.org/
# The source can be found at its git repository on:
# * http://gitweb.mageia.org/software/drakx/
# * git://git.mageia.org/software/drakx/
Source0: %name-%version.tar.xz
#NO PATCH ALLOWED
Patch0:	timing.diff
License: GPLv2+
Group: System/Configuration
Requires: %{name}-curses = %version-%release, perl-Gtk3, perl-Glib >= 1.280.0-3, polkit, perl-Net-DBus, perl-Gtk3-WebKit2
Requires: polkit-agent
Requires: mageia-doc-common
# needed by drakfont (eg: type1inst):
Requires: font-tools
Requires: libxxf86misc
# needed by any::enable_x_screensaver()
Requires: xset
Requires: drakx-net
Requires: drakconf-icons
Conflicts: drakconf <= 13.1-1.mga6
# needed for installing packages through do_pkgs -> urpmi -> gmessage
Requires: gurpmi >= 5.7
Requires: ldetect-lst >= 0.1.291
# needed by drakfont:
Requires: ttmkfdir
# needed by drakdoc:
Requires: perl-doc
# needed for SVG icons (e.g. in mgaonline and drakx-net)
Requires: %{_lib}rsvg2_2
BuildRequires: gettext
BuildRequires: ldetect-devel >= 0.9.0
BuildRequires: pkgconfig(ncurses)
BuildRequires: perl-devel >= 1:5.8.0-20
BuildRequires: perl_checker
BuildRequires: pkgconfig(libparted)
BuildRequires: drakx-installer-binaries
BuildRequires: intltool
%global __requires_exclude perl\\((Net::FTP|Time::localtime|URPM|Xconfig.*|[a-z].*)\\)

%package curses
Summary: The drakxtools (diskdrake, ...)
Group: System/Configuration
Requires: perl-base >= 2:5.8.6-1, urpmi >= 4.8.23, polkit
Requires: polkit-agent
Requires: perl-Locale-gettext >= 1.05-4mdv2007
Requires: kmod
Requires: %{name}-backend = %version-%release
Requires: drakx-net-text
%global __requires_exclude perl\\((Gtk3::WebKit|Xconfig::various|[a-z].*)\\)

%package backend
Summary: Drakxtools libraries and background tools
Group: System/Configuration
Requires: dmidecode
Requires: perl-File-FnMatch
# for fileshareset and filesharelist (#17123)
#Requires: perl-suid
# for common::wrap_command_for_root()
Requires: perl-String-ShellQuote
# "post" here means %%triggerpostun:
Requires(post): perl-MDK-Common >= 1.2.13
# for lsnetdrake (mga#12579)
Requires: nmap
# require virtual samba(4)-client provide
Requires: smb-client
Conflicts: drakxtools <= 16.27-1

%package http
Summary: The drakxtools via http
Group: System/Configuration
Requires: %{name}-curses = %version-%release, perl(Net::SSLeay) >= 1.22-1, perl-Authen-PAM >= 0.14-1, perl-CGI >= 2.91-1
Requires(pre): rpm-helper
Requires(post): rpm-helper

%package gtk2-compat
Summary: Gtk2 compatibility modules
Group: System/Configuration
Requires: %{name}
Conflicts: drakxtools <= 17.3-1.mga6

%package -n drakx-finish-install
Summary: First boot configuration
Group: System/Configuration
Requires: %{name} = %version-%release
Requires: drakx-installer-matchbox

%package -n harddrake
Summary: Main Hardware Configuration/Information Tool
Group: System/Configuration
Requires: %{name}-curses = %version-%release
Requires(pre): rpm-helper
Requires(post): rpm-helper
Requires: libdrakx-net >= 1.24 libdrakx-kbd-mouse-x11 >= 0.107 perl(Xconfig::glx)

Requires: meta-task

%package -n harddrake-ui
Summary: Main Hardware Configuration/Information Tool
Group: System/Configuration
Requires: %name = %version-%release
Requires: sane-backends
Requires: libdrakx-net libdrakx-kbd-mouse-x11 >= 0.107 perl(Xconfig::glx)

%description
Contains many Mageia Linux applications simplifying users and
administrators life on a Mageia Linux machine. Nearly all of
them work both under X.Org (graphical environment) and in console
(text environment), allowing easy distant work.

- drakbug: interactive bug report tool
- drakbug_report: help find bugs in DrakX
- drakclock: date & time configurator
- drakfloppy: boot disk creator
- drakfont: import fonts in the system
- draklog: show extracted information from the system logs
- drakperm: msec GUI (permissions configurator)
- draksec: security options managment / msec frontend

%description backend
See package %name

%description curses
Contains many Mageia Linux applications simplifying users and
administrators life on a Mageia Linux machine. Nearly all of
them work both under X.Org (graphical environment) and in console
(text environment), allowing easy distant work.

- adduserdrake: help you adding a user
- diskdrake: DiskDrake makes hard disk partitioning easier. It is
  graphical, simple and powerful. Different skill levels are available
  (newbie, advanced user, expert). It's written entirely in Perl and
  Perl/Gtk. It uses resize_fat which is a perl rewrite of the work of
  Andrew Clausen (libresize).
- drakauth: configure authentification (LDAP/NIS/...)
- drakautoinst: help you configure an automatic installation replay
- drakboot: configures your boot configuration (Lilo/GRUB,
  Bootsplash, X, autologin)
- drakkeyboard: configure your keyboard (both console and X)
- draklocale: language configurator, available both for root
  (system wide) and users (user only)
- drakmouse: autodetect and configure your mouse
- drakscanner: scanner configurator
- draksound: sound card configuration
- drakx11: menu-driven program which walks you through setting up
  your X server; it autodetects both monitor and video card if
  possible
- drakxservices: SysV services and daemons configurator
- drakxtv: auto configure tv card for xawtv grabber
- lsnetdrake: display available nfs and smb shares
- lspcidrake: display your pci information, *and* the corresponding
  kernel module

%description http
This package lets you configure your computer through your Web browser:
it provides an HTTP interface to the Mageia tools found in the drakxtools
package.

%description gtk2-compat
This package provides Gtk2 compatibility modules for legacy tools.

%description -n drakx-finish-install
For OEM-like duplications, it allows at first boot:
- network configuration
- creating users
- setting root password
- choosing authentication


%description -n harddrake
The harddrake service is a hardware probing tool run at system boot
time to determine what hardware has been added or removed from the
system.
It then offer to run needed config tool to update the OS
configuration.


%description -n harddrake-ui
This is the main configuration tool for hardware that calls all the
other configuration tools.
It offers a nice GUI that show the hardware configuration splitted by
hardware classes.


%prep
%autosetup -p1

%build
%make_build -C perl-install CFLAGS="$RPM_OPT_FLAGS"

%install
%make_build -C perl-install PREFIX=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/{X11/xinit.d,X11/wmsession.d,sysconfig/harddrake2}
touch $RPM_BUILD_ROOT/etc/sysconfig/harddrake2/previous_hw

dirs1="usr/lib/libDrakX usr/share/libDrakX"
(cd $RPM_BUILD_ROOT ; find $dirs1 usr/bin usr/sbin usr/libexec usr/share/polkit-1 ! -type d -printf "/%%p\n")|grep -E -v 'bin/.*harddrake' > %{name}.list
(cd $RPM_BUILD_ROOT ; find $dirs1 -type d -printf "%%%%dir /%%p\n") >> %{name}.list

perl -ni -e '/Xdrakres|clock|display_help|display_release_notes.pl|drak(bug$|clock|dvb|floppy|font|hosts|log|perm|sec|splash)|gtk|icons|logdrake|pixmaps|\.png$/ ? print STDERR $_ : print' %{name}.list 2> %{name}-gtk.list
# exclude gtk2 stuff:
fgrep gtk2 %{name}-gtk.list >%{name}-gtk2.list
perl -pi -e 'undef $_ if /gtk2/' %{name}-gtk.list
perl -ni -e '/http/ ? print STDERR $_ : print' %{name}.list 2> %{name}-http.list
perl -ni -e 'm!lib/libDrakX|bootloader-config|fileshare|lsnetdrake|drakupdate_fstab|rpcinfo|serial_probe! && !/curses/i ? print STDERR $_ : print' %{name}.list 2> %{name}-backend.list
perl -ni -e '/finish-install/ ? print STDERR $_ : print' %{name}.list 2> finish-install.list

cat > $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/harddrake2 <<EOF
#!/bin/sh
exec /usr/share/harddrake/service_harddrake X11
EOF

cat > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/kernel <<EOF
KERNEL=2.6
EOF

mv $RPM_BUILD_ROOT%_sbindir/service_harddrake_confirm $RPM_BUILD_ROOT%_datadir/harddrake/confirm

chmod +x $RPM_BUILD_ROOT{%_datadir/harddrake/{conf*,service_harddrake},%_sysconfdir/X11/xinit.d/harddrake2}
# temporary fix until we reenable this feature
rm -f $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/harddrake2

perl -I perl-install -mharddrake::data -e 'print "DETECT_$_->{class}=yes\n" foreach @harddrake::data::tree' |sort > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/service.conf
echo -e "AUTORECONFIGURE_RIGHT_XORG_DRIVER=yes\n" >> $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/service.conf

%find_lang libDrakX
%find_lang libDrakX-standalone
cat libDrakX.lang libDrakX-standalone.lang >> %name.list

%check
%make_build -C perl-install check

%post
%make_session
rm -f %_sbindir/kbdconfig %_sbindir/mouseconfig
:

%postun
%make_session
:

%post http
%_post_service drakxtools_http

%preun http
%_preun_service drakxtools_http

%postun -n harddrake
file /etc/sysconfig/harddrake2/previous_hw | grep -F -q perl && %_datadir/harddrake/convert || :

%files backend -f %{name}-backend.list
%config(noreplace) /etc/security/fileshare.conf
%attr(4755,root,root) %_sbindir/fileshareset

%files curses -f %name.list
%{_datadir}/applications/localedrake*.desktop
#%%doc perl-install/diskdrake/diskdrake.html
%_iconsdir/localedrake.png
%_iconsdir/large/localedrake.png
%_iconsdir/mini/localedrake.png

%files -f %{name}-gtk.list

%files gtk2-compat -f %{name}-gtk2.list

%files -n harddrake
%dir /etc/sysconfig/harddrake2/
%config(noreplace) /etc/sysconfig/harddrake2/previous_hw
%config(noreplace) /etc/sysconfig/harddrake2/service.conf
%config(noreplace) %_sysconfdir/sysconfig/harddrake2/kernel
%dir %_datadir/harddrake/
%_datadir/harddrake/*
%_sysconfdir/X11/xsetup.d/??notify-x11-free-driver-switch.xsetup
#%%_sysconfdir/X11/xinit.d/harddrake2

%files -n harddrake-ui
%dir /etc/sysconfig/harddrake2/
%_sbindir/harddrake2
%_datadir/pixmaps/harddrake2
%{_datadir}/applications/harddrake.desktop
%_iconsdir/large/harddrake.png
%_iconsdir/mini/harddrake.png
%_iconsdir/harddrake.png

%files -n drakx-finish-install
%config(noreplace) %_sysconfdir/sysconfig/finish-install
%_sysconfdir/X11/xsetup.d/??finish-install.xsetup
%_sbindir/finish-install

%files http -f %{name}-http.list
%dir %_sysconfdir/drakxtools_http
%config(noreplace) %_sysconfdir/pam.d/miniserv
%_sysconfdir/init.d/drakxtools_http
%config(noreplace) %_sysconfdir/drakxtools_http/conf
%config(noreplace) %_sysconfdir/drakxtools_http/authorised_progs
%config(noreplace) %_sysconfdir/logrotate.d/drakxtools-http


%changelog
* Thu Jun 22 2017 tv <tv> 17.85-1.mga6
+ Revision: 1108176
- don't overwrite custom grub2 settings when upgrading (mga#20596)
- recognize 8812au (mga#21043)

* Mon Jun 05 2017 akien <akien> 17.84-1.mga6
+ Revision: 1106972
- Version 17.84, translation updates

* Sun Jun 04 2017 tv <tv> 17.83-1.mga6
+ Revision: 1106427
- drakclock:
  o fix crash introduced in 17.77 (mga#20956)
- translation updates

* Sat May 06 2017 martinw <martinw> 17.82-1.mga6
+ Revision: 1099282
- drakboot:
  o add "please wait" message when running update-grub2
- service_harddrake:
  o require reboot if nokmsboot option changed (mga#20455)

* Wed May 03 2017 akien <akien> 17.80-1.mga6
+ Revision: 1098950
- Version 17.80, mostly translation updates

* Wed Apr 26 2017 tmb <tmb> 17.79-1.mga6
+ Revision: 1097677
- update translations

* Tue Apr 04 2017 akien <akien> 17.77-1.mga6
+ Revision: 1095906
- diskdrake:
  o don't require a BIOS boot partition when performing an upgrade (mga#20338)
  o make partitioning more robust with "Use entire disk" option (mga#20619):
    * add safety net for informing the kernel after writing a DOS partition
      table.
    * speed up proc_partitions::compare() and avoid unwanted udev events.
  o force reinitialisation of partition suggestions after wiping disk
    (mga#20621)
- various fixes to do_pkgs during Live installs (mga#20620):
  o fix do_pkgs_standalone::are_installed() for Live install
  o fix do_pkgs_standalone::remove() for Live install
  o fix fast path for do_pkgs::ensure_is_installed()
- drakclock:
  o fix the display of the clock (mga#11776)

* Tue Apr 04 2017 akien <akien> 17.75-2.mga6
+ Revision: 1095897
- Add dependency on %%{_lib}rsvg2_2, needed to load SVG icons with mygtk3 in e.g. mgaonline and drakx-net (mga#20434)

* Fri Mar 17 2017 tv <tv> 17.75-1.mga6
+ Revision: 1093272
- diskdrake:
  o allow a BIOS boot partition to be located on any disk (mga#20161)
  o ensure kernel is informed when a MBR partition table is cleared
  o clearing GPT partitions:
    * delay thus fix clearing GPT partitions (mga#20264)
      ("failed to del partition #1 on /dev/...")
    * don't send separate events to the kernel about removing/adding GPT partitions,
      just tell it to reread the whole newly cleared & allocated partition table
  o tell the kernel all actions at once on GPT partitions instead of telling it
    separatly about removing partitions A, B & C, then adding partition E, F &G

* Thu Mar 09 2017 wally <wally> 17.74-1.mga6
+ Revision: 1090990
- recognize LXQt (Razor-qt is now LXQt)
- fix Enlightenment (e21) recognition

* Wed Mar 08 2017 tv <tv> 17.73-1.mga6
+ Revision: 1089899
- recognize new kernel-4.8 drivers

* Sat Feb 25 2017 tv <tv> 17.72-1.mga6
+ Revision: 1087860
- inhibit udisks2 when running drakdisk (mga#20247)
- explicitely probe LVMs in live install (mga#14699)
- exclude x11-driver-video-vmware from unneeded packages (mga#19979)
- partitioning_wizard:
  o allow a BIOS boot partition to be located on any disk (mga#20161)
  o fix auto-allocation of BIOS boot partitions (mga#20161, mga#19888)
  o don't suggest mountpoint for ESP when doing a legacy boot install (mga#20164)
- diskdrake:
  o fix bugs in sync'ing the kernel's partition table cache (mga#20074)
  o detect and handle DOS "Empty" partition types (mga#20074)
- sync nonfree firmware list with kernel-4.9

* Mon Jan 30 2017 tv <tv> 17.71-2.mga6
+ Revision: 1084199
- drakdoc needs perl-doc
- drop very old obsoletes/provides tags

* Wed Jan 18 2017 pterjan <pterjan> 17.71-1.mga6
+ Revision: 1082238
- Version 17.71 - 18 January 2017
- partitioning_wizard:
  o fix bug in detecting whether a BIOS boot partition is required (mga#19935)
- fix inserting extended partition in the middle

* Thu Jan 12 2017 tv <tv> 17.69-1.mga6
+ Revision: 1081183
- bootloader:
  o disable audit logging as it floods the logs
- diskdrake:
  o fix exception when clearing all partitions on !UEFI (mga#20083)
- recognize new kernel-4.9 drivers
- rely on Gtk+ for checking if we can connect to Xserver (mga#19498)
  (meaning relying on xwayland under Wayland)
- remove very old trigger

* Mon Dec 12 2016 tv <tv> 17.65-1.mga6
+ Revision: 1074346
- drakboot:
  o describe what skipping os-prober does (mga#18538)
  o show generic help too when using grub2

  + ennael <ennael>
    - drakdm: allow disabling autologin on LXDM (mga#17616)

* Tue Nov 15 2016 tv <tv> 17.60-1.mga6
+ Revision: 1067232
- diskdrake:
  o fix being unable to format a newly part (mga#19172)
  o offer to format unmounted parts that have a defined mount point

* Tue Nov 08 2016 tv <tv> 17.59-1.mga6
+ Revision: 1065907
- any.pm: Fix support of plasma under X and wayland in running_window_manager()
- mygtk3:
  o adapt to WebKit2 for disabling context menu (eg: in mcc)

* Mon Oct 24 2016 tv <tv> 17.58-1.mga6
+ Revision: 1063379
- bootloader configuration:
  o make kernel server default if installed
    (we were only checking for long dead flavors such as enterprise, ...)

* Thu Oct 13 2016 tv <tv> 17.56-2.mga6
+ Revision: 1060645
- requires polkit-agent (mga#19129)

* Mon Sep 19 2016 tv <tv> 17.56-1.mga6
+ Revision: 1054128
- detect ovirt too (mga#19308)
- fix gtk+3.22 regression (mga#19406)
- sync nonfree firmware list with kernel-4.7

* Sun Sep 18 2016 tv <tv> 17.54-2.mga6
+ Revision: 1053614
- BR perl-MDK-Common-devel -> perl_checker

* Sat Aug 13 2016 tv <tv> 17.54-1.mga6
+ Revision: 1046157
- drakautologin:
  o add support for LXDM (mga#17616)
  o add support for SDDM (mga#17913)
- drakedm:
  o translate SDDM instead of KDM
- filesharelist:
  o fix checking package is installed (mga#13353)
  o fix Samba package name (samba-server -> samba)
- harddrake2:
  o em28xx drives TV cards, not webcam (mga#18995)

* Sun Jul 31 2016 tv <tv> 17.53-1.mga6
+ Revision: 1044140
- drakboot:
  o fix not being able to edit default grub2 cmdline (mga#18952)

* Sun Jul 17 2016 tv <tv> 17.52-1.mga6
+ Revision: 1042395
- drakboot:
  o fix not being able to edit default grub2 cmdline (mga#18952)

* Tue Jul 12 2016 tv <tv> 17.51-1.mga6
+ Revision: 1041241
- diskdrake:
  o don't offer to format RAID or BIOS boot partition
  o fix clearing an already filled GPT disk
  o make clear a BIOS boot partition cannot have a mount point
  o make error about BIOS boot partition more explicit about
    its purpose and that it must be created (mga#18923)

* Fri Jul 08 2016 tv <tv> 17.50-1.mga6
+ Revision: 1039682
- diskdrake:
  o display a wait message when adding a PV to VG

* Wed Jul 06 2016 tv <tv> 17.49-1.mga6
+ Revision: 1039052
- diskdrake:
  o GPT: prevent geometry issue on last partition (mga#18666, mga#17796)
- recognize new kernel-4.7 drivers

* Mon Jul 04 2016 tv <tv> 17.48-1.mga6
+ Revision: 1038603
- diskdrake:
  o do not offer to check for bad blocks on btrfs (mga#12393)
  o do not warn about no bootloader can boot LVM as grub2 can (mga#9426)
  o do not warn about no bootloader can boot RAID[^1] as grub2 can (mga#11324)
  o enable bad blocks checking on JFS
- drakboot:
  o allow installing grub2 on XFS /
  o make clear grub2 is installed on ESP under UEFI
- finish-install:
  o drop reload-dm hack
  o drop gnome-reboot hack

* Thu Jun 30 2016 tv <tv> 17.47-1.mga6
+ Revision: 1038223
- recognize some missing wireless drivers (mga#16768)
- diskdrake:
  o fix being able to create vfat on UEFI (mga#15698)

* Fri Jun 24 2016 tv <tv> 17.46-1.mga6
+ Revision: 1037422
- drakboot:
  o do not alter /etc/default/grub on kernel updates, only when running
    drakboot (mga#18783)

* Fri Jun 24 2016 tv <tv> 17.45-1.mga6
+ Revision: 1037408
- diskdrake:
  o keep UUID when formating btrfs (mga#18673)

* Fri Jun 24 2016 tv <tv> 17.44-1.mga6
+ Revision: 1037380
- diskdrake:
  o fix preserving UUID when formating jfs/nilfs/xfs
- drakboot:
  o add a "Do not touch ESP or MBR" option (mga#18770)
  o do not offer to pick the disk where to install grub2 on UEFI
  o filter GPT disks w/o a BIOS boot part (mga#18770)
  o warn if grub2 is not installed on MBR/ESP

* Wed Jun 22 2016 tv <tv> 17.42-1.mga6
+ Revision: 1037161
- drakboot:
  o add support for crypted grub2 passwords (mga#15930)
  o grub2: do not overwite ESP if not installing on it (mga#15583)
  o grub2: fix setting default entry when in a submenu (mga#18560)

* Mon Jun 20 2016 tv <tv> 17.41-1.mga6
+ Revision: 1037003
- drakboot:
  o fix the grub2 post-install check (mga#18739)

* Mon Jun 20 2016 tv <tv> 17.40-1.mga6
+ Revision: 1036988
- drakboot:
  o ensure we've the right grub2 flavor (mga#18739)

* Sat Jun 18 2016 tv <tv> 17.39-1.mga6
+ Revision: 1022083
- diskdrake:
  o fix ESP tagging in some cases

* Thu Jun 16 2016 tv <tv> 17.38-1.mga6
+ Revision: 1021775
- diskdrake:
  o fix offering to create a GRUB_BIOS partition in custom mode (mga#18656)
  o fix inverted test when checking need for a GRUB_BIOS partition (mga#18704)

* Sun Jun 12 2016 tv <tv> 17.37-1.mga6
+ Revision: 1021214
- diskdrake:
  o try harder to guess if we need a GRUB_BIOS partition (mga#18656)

* Sat Jun 11 2016 tv <tv> 17.36-1.mga6
+ Revision: 1021143
- diskdrake:
  o add a GRUB_BIOS partitions if needed (mga#18656)
  o MBR limit really is 2TiB, not 4, so use GPT for disks > 2TiB

* Mon Jun 06 2016 tv <tv> 17.34-1.mga6
+ Revision: 1020333
- drakboot:
  o enable to (un)install os-prober (mga#16010, mga#18538)
  o fix reading back last grub2 entry
  o only overwrite GRUB_CMDLINE_LINUX_DEFAULT on first install (mga#18112)
  o only overwrite install.sh when actually installing boot loader (mga#17455)
  o set GRUB_DEFAULT + GRUB_SAVEDEFAULT (mga#9627, mga#16059)
  o stop offering grub legacy & lilo on new installs (mga#18583)
- running commands as user:
  o fix the fallback when the helper didn't provide the real UID (mga#18288)
  o guess the right user after the switch to polkit (mga#18288)

* Fri May 27 2016 tv <tv> 17.33-1.mga6
+ Revision: 1018891
- list all drivers needing a proprietary driver
- localedrake:
  o install the right IM packages on Plasma when using fcitx

* Sat May 07 2016 tmb <tmb> 17.30-1.mga6
+ Revision: 1010281
- install nonfree firmware for amdgpu, i915, nouveau

* Wed May 04 2016 tv <tv> 17.29-1.mga6
+ Revision: 1009207
- localedrake:
  o install the right IM packages on Plasma
- harddrake2:
  o don't class Logitech wired kbd+mouse as unknown (mga#3510)

* Tue Apr 26 2016 tv <tv> 17.28-1.mga6
+ Revision: 1006351
- recognize new kernel-4.6 drivers

* Fri Apr 01 2016 tv <tv> 17.25-1.mga6
+ Revision: 997351
- fix build faillure due to new svg icon
- diskdrake:
  o fix detecting nvme devices as block devices
  o fix displaying partitions when there's only one disk
    (and the resulting crash: mga#18076)

* Wed Mar 23 2016 tv <tv> 17.24-1.mga6
+ Revision: 994667
- use systemd-detect-virt for detecting virtualization technology

* Mon Mar 21 2016 tv <tv> 17.22-1.mga6
+ Revision: 993775
- display_help:
 o port from WebKit1 to WebKit2 (mga#15031)

* Fri Mar 18 2016 tv <tv> 17.20-1.mga6
+ Revision: 992835
- diskdrake:
  o fix partitions not initially displayed (mga#17564)

* Fri Mar 18 2016 tv <tv> 17.19-4.mga6
+ Revision: 992811
- require perl-Gtk3-WebKit2 instead of perl-Gtk3-WebKit2

* Sun Mar 06 2016 ennael <ennael> 17.19-3.mga6
+ Revision: 986562
- log what takes time in harddrake service

* Sat Mar 05 2016 tv <tv> 17.19-2.mga6
+ Revision: 985946
- patch 0: log what takes time in harddrake service (mga#16684)

* Wed Feb 24 2016 tv <tv> 17.19-1.mga6
+ Revision: 978592
- detect nvme devices as block devices (mga#17743)
- detect partitions on nvme devices (mga#17743)
- enable to use WebKit2 with mygtk3
- drakboot:
  o partial fix for removing kernel from grub2 config (mga#16268)

* Wed Feb 10 2016 tv <tv> 17.18.1-1.mga6
+ Revision: 953529
- drakboot:
  o do not offer to edit entries for grub2-graphic (mga#9431)

* Wed Feb 10 2016 tv <tv> 17.18-1.mga6
+ Revision: 953523
- drakboot:
  o add support for grub2-text too (mga#9431)
- library (for draklive-install):
  o check ESP has the right fs type (mga#16246)
  o check that ESP mount point actually is an ESP
- kill very old provides/obsoletes & compat symlinks (mga#17675)

* Mon Jan 25 2016 pterjan <pterjan> 17.16-1.mga6
+ Revision: 927098
- 17.16: fix a crash in detect_devices on non x86

* Sat Jan 16 2016 tv <tv> 17.15-1.mga6
+ Revision: 923490
- diskdrake:
  o fix crash (mga#17484)

* Sat Jan 02 2016 tv <tv> 17.12-1.mga6
+ Revision: 918390
- misc cleanups
- diskdrake:
  o auto fill LV name from mntpnt (mga#5407)
  o suggest "lv_foo" instead of just "foo" for LVname
- drakboot:
  o skip swap in the list of partitions (mga#15767)
  o split drakautologin from drakboot (mga#7160)
- draksound:
  o drop support for ISApnp sound cards
  o drop support for picking an arbitrary driver
  o drop support for switching between OSS <-> ALSA
  o make troubleshooting not an advanced setting

* Tue Dec 22 2015 tv <tv> 17.8-2.mga6
+ Revision: 913416
- split gtk2 stuff in compat submodule

* Tue Dec 22 2015 tv <tv> 17.8-1.mga6
+ Revision: 913389
- recognize new kernel-4.3 drivers
- use sddm instead of kdm
- use task-plasma5 instead of task-kde4

* Fri Dec 04 2015 tv <tv> 17.3-1.mga6
+ Revision: 907980
- recognize new kernel-4.3 drivers
- drakboot:
  o fix lightdm support after upstream config file change
- switch to pkgconfig() BRs

* Thu Aug 27 2015 tv <tv> 17.1-1.mga6
+ Revision: 870305
- fixed tarball
- recognize new kernel-4.1 drivers
- kill old triggers

* Sun Jun 28 2015 tv <tv> 16.104-6.mga6
+ Revision: 846869
- drop hardcoded requires on perlapi

* Sun Jun 28 2015 tv <tv> 16.104-5.mga6
+ Revision: 846752
- rebuild with soname-ified perl

* Thu Jun 25 2015 tv <tv> 16.104-3.mga6
+ Revision: 843429
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 16.104-2.mga6
+ Revision: 840437
- Rebuild for perl 5.22

* Sat Jun 13 2015 tmb <tmb> 16.104-1.mga5
+ Revision: 823047
- diskdrake:
  o prevent errors when telling kernel to reread partition table
- update translations

* Thu Jun 04 2015 tv <tv> 16.103-1.mga5
+ Revision: 822895
- drakfont:
  o fix moving fonts (mga#16074)
- diskdrake, partitioning_wizard:
  o only use current disk when auto partitioning, wiping disk,
    using free space (mga#16055)

* Fri May 29 2015 tmb <tmb> 16.102-1.mga5
+ Revision: 822800
- diskdrake:
  o ignore some recovery partitions (mga#15999) (mga#15999)
  o run udevadm settle after actions that trigger device reload (mga#15999)
- harddrake2:
  o set min width for left panel (mga#16026)
- translation updates

* Mon May 25 2015 tv <tv> 16.101-2.mga5
+ Revision: 822701
- rebuild for fixed changelog

* Mon May 25 2015 tv <tv> 16.101-1.mga5
+ Revision: 822696
- library (for draklive-install):
  o fix not always suggesting /boot/ESP mount point (mga#15689)
- diskdrake:
  o set pt_type according to fs_type before flag cases (mga#16029)
- localedrake:
  o fix reading back IM config (mga#15761)

* Wed May 20 2015 tv <tv> 16.99-1.mga5
+ Revision: 822448
- diskdrake:
  o display cosmetics when reading back GPT partitions
  o fix mnt point for FAT partitions on GTP (mga#15987)
  o set the proper GUID for FAT partitions on GPT
- drakboot:
  o do not detect grub2 on UEFI when there's no bootloader
  o fix default grub2 kernel parameters (mga#15984)

* Tue May 19 2015 tv <tv> 16.98-1.mga5
+ Revision: 822405
- all tools:
  o fix banner icon being cliped (mga#12358)
- drakfont:
  o fix crash (mga#13627)
  o fix crash with --windows_import (mga9347)
  o fix an error with --testing (mga#13363)
- localedrake:
  o don't try to install non existant scim-googlepinyin (mga#6681)

* Mon May 18 2015 tv <tv> 16.97-1.mga5
+ Revision: 822240
- library (for draklive-install):
  o enables to get raw available space (mga15257)

* Sun May 17 2015 tv <tv> 16.96-1.mga5
+ Revision: 822191
- library (for draklive-install):
  o fix regression refusing FAT for ESP (mga#15962)
- library (for draklive-install):
  o fix regression refusing FAT for ESP (mga#15962)

* Thu May 14 2015 tv <tv> 16.95-1.mga5
+ Revision: 822044
- library (for draklive-install):
  o fix a crash after "insufficient space" error (mga#15919)
- diskdrake:
  o fix a gtk+3 regression crash with --dav (mga#13204)
- library (for draklive-install):
  o fix a crash after "insufficient space" error (mga#15919)
- diskdrake:
  o fix a gtk+3 regression crash with --dav (mga#13204)

* Sun May 10 2015 tmb <tmb> 16.94-1.mga5
+ Revision: 821693
- remove_unused_packages():
  * dont remove crda, iw, wireless-regdb, usb_modeswitch, usb_modeswitch-data
    (they are needed to be able to support hotplugged wireless hw)
    this also fixes mga#15875 (Install fails if 'unused' packages are removed)

* Sat May 09 2015 tv <tv> 16.93-1.mga5
+ Revision: 821580
- drakboot:
  o do use vga value for grub2
  o fix setting default grub2 entry

* Sat May 09 2015 tv <tv> 16.92-1.mga5
+ Revision: 821566
- drakx-net:
  o recognize r8723bs (mga#15874)
- diskdrake:
  o do not set noauto for /boot/EFI (mga#15627)
- drakboot:
  o add a dedicate step for grub2 (mga#9627)
  o backup grub2 files before configuring
- harddrake:
  o fix detecting AHCI as SATA (mga#9992)
  o fix detecting some memory chips (mga#5810)
  o fix not listing uvccideo managed devices as wecams (mga#9992)

* Tue Apr 28 2015 tmb <tmb> 16.90-1.mga5
+ Revision: 820821
- localedrake:
  o write input methods to /etc/locale.conf (mga#15464)
- run vgchange before updating the list of LVMs, not after, and even if not
  in install (should help with mga#7578).

* Sat Apr 25 2015 pterjan <pterjan> 16.89-1.mga5
+ Revision: 820765
- 16.89: Ignore special partitions on mmc (mga#15759)

* Sat Apr 25 2015 akien <akien> 16.88-1.mga5
+ Revision: 820753
- 16.88: ensure country/timezone locale is kept when removing unused locale packages (mga#3723)

* Wed Apr 22 2015 pterjan <pterjan> 16.87-1.mga5
+ Revision: 820530
- Version 16.87 - 22 April 2015
- partitioning_wizard:
  o improve the display box (mga#15728)

* Mon Apr 20 2015 tmb <tmb> 16.86-1.mga5
+ Revision: 820503
- bootloader:
  o dont override 'splash' and/or 'quiet' when adding 'noiswmd' (mga#15666)
- partitioning_wizard:
  o use the windows partition with the most available space on current
    disk, not the last one across all disks (mga#15589)
  o suggest up to 20GB/20%% of the windows partition (whichever is larger),
    previously 6GB/10%% (mga#15589)
  o hide empty space < 2MB, we have such holes due to alignment (mga#15733)
- ugtk2, ugtk3, harddrake2:
  o do not "restore" mouse cursor on the root window, we haven't set it to
    'wait' since 2005 and this causes a crash if we don't own it (mga#15729).
- speed up reading of flags from GPT partition table (mga#15621).

* Wed Apr 15 2015 tv <tv> 16.85-1.mga5
+ Revision: 820291
- reuse ESP with "use free space" in live (mga#15690)

* Tue Apr 14 2015 tv <tv> 16.84-1.mga5
+ Revision: 820234
- drakboot:
  o do not pass useless parameters to grub2 under UEFI (mga#15692)
  o fix kernel booting in blind mode (mga#15291)

* Mon Apr 13 2015 tv <tv> 16.82-1.mga5
+ Revision: 820118
- diskdrake:
  o detect Lenovo recovery & 'SYSTEM_DRV' as such (mga#1371)
  o do add a ESP if it was removed by "Clear All"
  o ignore ESP for "use free space on MS"
- drakboot:
  o default to GRUB_DISABLE_RECOVERY=falss for 'failsafe' entry (mga#15675)

* Sun Apr 12 2015 tv <tv> 16.81-1.mga5
+ Revision: 820076
- dont force 'p' for dmraid partitions,  it's conditional depending
  on device naming like dmraid, kpartx and kernel handles it
- diskdrake:
  o don't guess a drive letter for ESP partitions

* Thu Apr 09 2015 tv <tv> 16.80-1.mga5
+ Revision: 819994
- diskdrake:
  o don't guess a drive letter for recovery partitions (mga15636)
- drakboot:
  o check there's still some place on /boot with grub2 too
  o generate core.img for UEFI
  o fix detecting grub2 on UEFI
  o write /boot/grub2/install.sh like for grub instead of drakboot.conf

* Tue Apr 07 2015 tv <tv> 16.79-1.mga5
+ Revision: 819834
- drakboot:
  o keep vga= parameter when switching to grub2 (mga#9888)

* Tue Apr 07 2015 ennael <ennael> 16.78-1.mga5
+ Revision: 819820
- fix installing grub2 on MBR (mga#15640)

* Tue Apr 07 2015 tv <tv> 16.77-1.mga5
+ Revision: 819780
- bootloader:
  o add 'noiswmd' to kernel command line to manage isw_ bios
    fakeraids with dmraid for now (instead of mdadm) (mga#11289, mga#14330)
  o allow btrfs for / without separate /boot with grub2 (mga#15374)
- partitioning wizard:
  o do not offer to select RAID as it result in a crash (mga#5800)

* Fri Apr 03 2015 tv <tv> 16.76-1.mga5
+ Revision: 819655
- drakboot:
  o fix grub2 rescue (mga#13408, mga#13901)
  o log grub2-install failures (mga#15439)
- diskdrake:
  o really try to detect recovery partitions on GPT

* Mon Mar 30 2015 tmb <tmb> 16.75-1.mga5
+ Revision: 819396
- diskdrake:
  o better fix for fail to read too corrupted partition table
  o fix getting ESP with "use free space":
    make sure to not override /boot/EFI mount point with /media/win_X
  o make sure to check for existing ESP on all disks
  o relax checks for ESP
  o try to detect recovery partitions on GPT

* Fri Mar 27 2015 tv <tv> 16.74-1.mga5
+ Revision: 819347
- diskdrake (GPT):
  o fix retrieving ntfs partitions as ntfs-3g instead of ntfs
  o really fix retrieving swap partition type
- diskdrake (GPT):
  o fix retrieving ntfs partitions as ntfs-3g instead of ntfs
  o really fix retrieving swap partition type

* Fri Mar 27 2015 tmb <tmb> 16.73-1.mga5
+ Revision: 819335
- diskdrake (GPT):
  o fix creating RAID devices (mga#15400)
  o fix "I cannot read the partition table of device XXX, it is too corrupted"
  o fix retrieving LVM/RAID/swap partition type
  o fix tagging lvm/raid as "linux filesystem"
  o fix tagging ntfs-3g as "linux filesystem"
  o fix tagging swap as "linux filesystem"

* Wed Mar 25 2015 tv <tv> 16.71-1.mga5
+ Revision: 819258
- diskdrake:
  o fix retrieving ESP partition type on GPT (mga#15366)
  o log which GPT partition we fail to add/del
  o set proper GUID to ESP partitions with GPT layout
- bump max_nb() to 131 to cover mdadm managed imsm and ddf1 bios
  fakeraids (containers defaults to >= 127 and partitions <=126)

* Fri Mar 20 2015 tmb <tmb> 16.69-1.mga5
+ Revision: 819040
- efi partitioning fixes

* Tue Mar 17 2015 tv <tv> 16.68-1.mga5
+ Revision: 818729
- drakboot:
  o log mkinitrd faillures (mga#9201)
- fix mis-detecting some mobile broadband modems (mga#12492)

* Thu Mar 05 2015 akien <akien> 16.66-1.mga5
+ Revision: 817770
- add nofail option to foreign mountpoints to avoid unwanted recovery mode

* Tue Mar 03 2015 tv <tv> 16.63-2.mga5
+ Revision: 817535
- fix missing drakbug.pm in minimal install

* Fri Feb 27 2015 tv <tv> 16.63-1.mga5
+ Revision: 817164
- diskdrake:
  o fix too wide buttons (mga#12422, mga#13471, mga#14839, mga#15379)

* Thu Feb 19 2015 tv <tv> 16.62-1.mga5
+ Revision: 815825
- diskdrake (mga#12422, mga#11988, mga#14839, mga#15272, mga#15264):
  o use an horizontal scrolling bar when needed
  o workaround too wide togglebuttons with empty label with gtk+3 and/or Adwaita
- library (for draklive-install):
  o use a vertical scrolling bar when needed (mga#15272)

* Tue Feb 10 2015 tmb <tmb> 16.56-1.mga5
+ Revision: 814580
- service_harddrake:
  * add support for the new nvidia340 driver (mga#15255)
  * drop references to old unsupported nVidia drivers

* Mon Feb 09 2015 ennael <ennael> 16.55-1.mga5
+ Revision: 814412
- drakclock: Ensure that /etc/localtime is a symlink (mga#14888)
- users: Make sure to restart accounts-daemon after adding users (mga#15113, mga#14476)
- i18n: Write the desired console font to /etc/vconsole.conf
- i18n: Use the x-distro /etc/locale.conf file instead of /etc/sysconfig/i18n
- drakedm: Do not use ancient dm init script to restart DM

* Thu Feb 05 2015 tmb <tmb> 16.52-1.mga5
+ Revision: 813499
- libDrakX/fsedit.pm: new "simple" partitioning scheme
  o create separate /home only when more than 50G are available
  o in such case, / is 6/19th of the available space up to 50G,
    swap is 1/19th up to 4G and /home is the rest (12/19th)
  o https://ml.mageia.org/l/arc/dev/2014-12/msg00330.html
- recognize new kernel-3.19 drivers
- fix GPT initialization on empty disk

* Fri Jan 09 2015 tmb <tmb> 16.50-1.mga5
+ Revision: 809512
- initial uefi support

* Fri Jan 02 2015 tv <tv> 16.49-1.mga5
+ Revision: 808035
- recognize new kernel-3.18 drivers (mga#14799)

* Sat Dec 06 2014 tv <tv> 16.47-1.mga5
+ Revision: 801689
- drakboot:
  o do not crash if fstab contains a bind mount on a file (mga#14657)

* Tue Nov 25 2014 tv <tv> 16.46-1.mga5
+ Revision: 798879
- harddrake:
  o recognize e17/lxde/mate/razor (mga#12495, Luc Menut)
- split drakbug support in its own module (mga#14565)

* Thu Oct 23 2014 tv <tv> 16.44-1.mga5
+ Revision: 792571
- fix drakxservices not showing all services due to systemctl output change
- draksound
  o adapt to the switch to systemd for spawning PulseAudio

* Wed Oct 15 2014 umeabot <umeabot> 16.42-4.mga5
+ Revision: 749500
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tmb <tmb> 16.42-3.mga5
+ Revision: 733900
- backend: require virtual smb-client

* Thu Sep 18 2014 tv <tv> 16.42-2.mga5
+ Revision: 695869
- exclude lower case perl reqs (not in std path)
- simplify exclude rules

  + pterjan <pterjan>
    - Version 16.42 - 18 September 2014
    - only allow GRUB2 when booting on btrfs
    - don't include display_installer_help in drakxtools, it can not run outside
      install

* Tue Sep 16 2014 umeabot <umeabot> 16.41-2.mga5
+ Revision: 678857
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sun Aug 31 2014 tv <tv> 16.41-1.mga5
+ Revision: 670175
- add packages to wanted_hardware_packages list to prevent them being removed:
  * b43-fwcutter, b43-openfwwf, atmel-firmware, speedtouch-firmware
  * zd1211-firmware, isdn4k-utils, rfkill, x11-driver-input-wacom
- allow /boot on btrfs
- recognize new kernel-3.17 drivers

* Sun Aug 17 2014 tv <tv> 16.39-1.mga5
+ Revision: 664953
- mygtk3:
  o add support for gtkset() on 'ComboBoxText' widgets for drakpxelinux
- recognize new kernel-3.16 drivers
- switch uid/gid boundary to 1000+

* Tue Jul 01 2014 tmb <tmb> 16.36-1.mga5
+ Revision: 641845
- hide /boot/efi check for now (mga#13638)
- fix not being able to select packages when list contains only one (mga#13492)

* Thu Jun 26 2014 tv <tv> 16.34-1.mga5
+ Revision: 640183
- do_pkgs:
  o fix a warning in mousedrake
- drakclock:
  o fix crash on clicking "Cancel" after TZ selection (mga#13534)
  o fix loosing TZ choice when canceling TZ selection (mga#13534)
- drakfont:
  o fix installing fonts (Fr?\195?\169d?\195?\169ric Buclin, mga#11849)

* Wed Jun 18 2014 tv <tv> 16.33-1.mga5
+ Revision: 638042
- stop creating some /dev entries that are managed by udev

* Sun Jun 15 2014 tv <tv> 16.32-1.mga5
+ Revision: 636845
- recognize new kernel-3.15 drivers

* Wed Jun 04 2014 tv <tv> 16.30-1.mga5
+ Revision: 632818
- add some POD documentation
- drop (broken) support for Alpha, PPC, Sparc & IA64
- fix detecting some UPS devices (mga#13424)
- drakbug:
  o fix some package names after the mdv->mga fork
- localedrake:
  o stop configuring HAL
  o update locales list

* Tue Jun 03 2014 fwang <fwang> 16.28-2.mga5
+ Revision: 632038
- Rebuild for perl 5.20

* Mon Apr 28 2014 tv <tv> 16.28-1.mga5
+ Revision: 618531
- recognize new kernel-3.14 drivers

* Sun Feb 23 2014 blino <blino> 16.27-2.mga5
+ Revision: 595727
- move dbus_object in backend package, it does not hard-depend on Gtk (needed for drakconnect wireless configuration in text mode)

* Tue Feb 18 2014 tv <tv> 16.27-1.mga5
+ Revision: 594547
- nuke create_link_source(), as we haven't supported building against an
  unprepared source for ages, and currently also can trigger wrong symlinks
  when kernel-source is installed before for example kernel-linus as found
  out during QA for mga#12518 and debugging the issue on irc

* Tue Feb 04 2014 tv <tv> 16.26.8-1.mga5
+ Revision: 582640
- harddrake:
  o fix untranslated "Help" entry in menu (mga#12497)

  + doktor5000 <doktor5000>
    - add Requires on nmap & samba-client (nmblookup) for drakx-backend to allow
      lsnetdrake to run (mga#12579)

* Sat Jan 25 2014 colin <colin> 16.26.7-1.mga4
+ Revision: 568182
- Avoid double fork problems mga#11184 mga#12364

* Mon Jan 20 2014 tv <tv> 16.26.1-1.mga4
+ Revision: 567185
- diskdrake:
  o increase back minimum partition width for Oxygen (mga#11977)

* Mon Jan 20 2014 tv <tv> 16.26-1.mga4
+ Revision: 567082
- diskdrake:
  o fix sizing partition widgets
  o revert minimum partition width to its pre-gtk3 value

* Thu Jan 16 2014 tv <tv> 16.23-1.mga4
+ Revision: 566711
- dont remove pulseaudio-module-bluetooth (mga#12323)
- fix a rpmdrake crash (mga#12331)

* Wed Jan 15 2014 tv <tv> 16.22-1.mga4
+ Revision: 566632
- services:
  o use --no-block with chkconfig and systemctl enable to prevent systemd reload
    and potential crash (especially during first/live boot)
- harddrake:
  o fix detecting some wireless devices as scanners (mga#9895)
  o fix random order of fields with perl-5.18

* Mon Jan 13 2014 tv <tv> 16.21-1.mga4
+ Revision: 566464
- diskdrake:
  o do not propose check bad blocks for btrfs (Manuel Hiebel, mga#10116)
  o increase minimum partition width for Oxygen (mga#11977)
    (if not enough, we will disable labels on partitions buttons again)
- drakboot:
  o add minimal/experimental lightdm autologin support (mga#11746)
- harddrake, logdrake:
  o fix menu accelerators
- --version option:
  o display mga copyright too (mga#10289)

* Mon Jan 06 2014 tv <tv> 16.18-2.mga4
+ Revision: 565163
- require just drak{3d,x-kbd-mouse-x11} modules (debloat, mga#8455)

* Sat Dec 28 2013 tv <tv> 16.18-1.mga4
+ Revision: 562899
- detecting input devices:
  o display the real accessed /dev/input/eventX file (mga#8232)
  o do not crash if /dev/input/eventX doesn't exist (mga#10296)
  o do not fill logs with "Cannot open /dev/input/eventX" (mga#8232)
- draksec:
  o use expanders for clarity

* Fri Dec 20 2013 tv <tv> 16.17-1.mga4
+ Revision: 559143
- drakfont:
  o fix a crash (mga#12057)

* Mon Dec 16 2013 tv <tv> 16.16-1.mga4
+ Revision: 557496
- fix a drakx crash (mga#6031)

* Fri Dec 13 2013 tv <tv> 16.15-1.mga4
+ Revision: 556604
- workaround a gtk+3 issue resulting in blacked embbeded tools with some
  locales (eg: pl/uk) (mga#11969)

* Tue Dec 10 2013 tv <tv> 16.13-1.mga4
+ Revision: 556119
- localedrake:
  o fix crash when selecting an input method (mga#11939)

* Mon Dec 09 2013 tv <tv> 16.12-1.mga4
+ Revision: 556017
- partitioning wizard:
  o log failures (mga#11924)
  o workaround a crash (mga#11924)

* Fri Dec 06 2013 tv <tv> 16.11-1.mga4
+ Revision: 555697
- fix a crash in rpmdrake when package list is empty (mga#11901)

* Thu Dec 05 2013 tv <tv> 16.8-1.mga4
+ Revision: 555419
- prevent drakxtools-backend to require Glib::Object::Introspection (mga#11842)
  (removes 302Mb from minimal install with suggests and 36Mb w/o)

* Thu Dec 05 2013 tv <tv> 16.7-1.mga4
+ Revision: 555302
- diskdrake:
  o fix a crash when creating partitions (mga#11876)

* Wed Dec 04 2013 tv <tv> 16.6-1.mga4
+ Revision: 555111
- fix blue background behind left panel text (mga#11866)
  (for not yet released gtk3 mcc)

* Tue Dec 03 2013 tv <tv> 16.5-1.mga4
+ Revision: 554754
- diskdrake:
  o detect eMMc block devices (Luc Menut, mga#11812)
  o fix a crash in partitioning wizard (mga#11820)
  o show labels on partition buttons again but ellipsized (mga#11858)

* Mon Dec 02 2013 tv <tv> 16.4-1.mga4
+ Revision: 554654
- fix banners not being blue anymore with Oxygen-gtk theme (kbo#328270)
- diskdrake:
  o fix diskdrake colorized partition tabs with Adwaita (bgo#719624)

* Sat Nov 30 2013 tv <tv> 16.3-1.mga4
+ Revision: 554312
- harddrake:
  o fix starting after draksound drop OSS/ALSA switch

* Fri Nov 29 2013 tv <tv> 16.2-1.mga4
+ Revision: 554106
- diskdrake:
  o fix dialog keeping growing when switching tabs (mga#11822):
    move partition labels to toolips
- draksound:
  o do not offer to switch to OSS
  o do not offer to switch to another driver if there's none
  o do not offer to pick a random driver when we've a default one
- finish-install:
  o no more run urpmi.update when adding media
    (uneeded with urpmi-7.27+)
- mygtk3 layer:
  o add support for RadioMenuItems for rpmdrake
- ugtk3 layer:
  o make shrinking window work again (eg: draknfs)

* Thu Nov 28 2013 tv <tv> 16.1-1.mga4
+ Revision: 553843
- logdrake:
  o fix Gtk3::TextView::get_window() passed too few parameters (mga#11807)
- mcc:
  o restore galaxy RC file, thus fixing left panel text color (mga#11773)
  o fix Gtk2 banners' text position (mga#11778)
- Banners:
  o align text to left instead of centering it
  o text is rendered as blue again
- diskdrake:
  o prevent looping forever when sizing partition tabs

* Mon Nov 25 2013 tv <tv> 16.0-1.mga4
+ Revision: 553066
- switch from Gtk+-2 to Gtk+-3:
  o Banners: most themes work OK but Oxygen-gtk3...
  o diskdrake: most themes work OK but Oxygen-gtk3...
  o drakclock cannot temporary changes the clock
  o notifications work again for net_applet
- detect_devices:
  fix ids to be numeric
- drakxservices:
  o simplify: just use tooltips for service descriptions"
- drakx-in-chroot:
  o add --depth in order to force 16bit colors mode
- drakclock:
  o assume chrony rather than ntp when neither is installed
- draksec:
  o make sure to restart polkitd after writing rules
  o support polkit rules editing for permissions overrides

* Tue Nov 19 2013 tv <tv> 15.73.1-1.mga4
+ Revision: 551840
- add chrony support to drakclock mga#11092

* Tue Nov 12 2013 colin <colin> 15.73-1.mga4
+ Revision: 550708
- 15.73: Do not use polkit if we are already root.

* Sat Nov 09 2013 tmb <tmb> 15.72-1.mga4
+ Revision: 550101
- 15.72:
  - dont remove radeon-firmware or any network related firmwares as we
    dont know when some hw gets plugged that needs it.

* Tue Oct 22 2013 umeabot <umeabot> 15.68-2.mga4
+ Revision: 542153
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 tv <tv> 15.68-1.mga4
+ Revision: 496997
- fix path to urpmi.update (so it works without mgaonline installed mga#11125)
- recognize new kernel-3.12 drivers
- wrap more standalone tools in polkit (mga#11125, mga#11418)

  + colin <colin>
    - Fix filelist autodetection magic (fixes draklog being in both base and curses packages)

* Thu Oct 10 2013 tv <tv> 15.67-1.mga4
+ Revision: 494865
- recognize new kernel-3.11 drivers

* Thu Oct 03 2013 tv <tv> 15.66-1.mga4
+ Revision: 490820
- drop merged patch :-(
- HW detection:
  o fix detecting some soft RAID (mga#11139 and the like)
  o detect wifi cards managed by ssb driver (mga#9378)
- remove symlinks during install that are now handled in drakx-kbd-mouse-x11
- diskdrake:
  o enable to format already formated btrfs partitions (mga#11256)
- use polkit for authorisation (mga#11125)
- drakauth:
  o fix ldap configuration (mga#10005)
- ensure files are installed for nfs (mga#10301)

* Sun Sep 29 2013 tv <tv> 15.65-2.mga4
+ Revision: 488715
- rebuild with fixed rpm (missing suggests tags)

* Sun Sep 08 2013 colin <colin> 15.65-1.mga4
+ Revision: 475907
- New version: 15.65
- remove symlinks during install that are now handled in drakx-kbd-mouse-x11
- use polkit for authorisation (mga#11125)
- fix drakauth ldap configuration (mga#10005)
- ensure files are installed for nfs (mga#10301)
- detect wifi cards managed by ssb driver (mga#9378)

* Wed Sep 04 2013 tmb <tmb> 15.57-3.mga4
+ Revision: 475167
- update filelists for ddrakkeyboard & drakmouse removal
- disable consolehelper for drakkeyboard & drakmouse for now as as they need
  to be adapted to polkit and currently conflicts with drakx-kbd-mouse

* Wed Sep 04 2013 neoclust <neoclust> 15.57-2.mga4
+ Revision: 475083
- Add testing patch for RAID ( #9910 #11105 #8761 #10821 #6180)

* Tue Jul 16 2013 tv <tv> 15.57-1.mga4
+ Revision: 454945
- adapt to latest btrfs utils for resizing

* Tue Jul 16 2013 tv <tv> 15.56-1.mga4
+ Revision: 454926
- detect wifi cards managed by bcma driver (mga#9378)
- detect new kernel-3.10 drivers

* Wed Jun 12 2013 zezinho <zezinho> 15.55-2.mga4
+ Revision: 442192
- new version 15.55 fixes #9941

* Wed May 29 2013 tv <tv> 15.54-2.mga4
+ Revision: 429877
- rebuild for new perl

* Fri May 17 2013 tv <tv> 15.54-1.mga3
+ Revision: 413457
- fix offering to install shorewall & shorewall-ipv6 when already installed

* Wed May 15 2013 ennael <ennael> 15.53-1.mga3
+ Revision: 413309
- logdrake: fix rsyslog<->syslog-ng install loop (mga#10086)

* Mon May 13 2013 tmb <tmb> 15.51-1.mga3
+ Revision: 413095
- any.pm: dont add arch() to release-notes file name (#10087)
- finish-install: enable Nonfree/Tainted repositories if a package
  having a matching name is installed (#8379)
- detect_devices: check for phy80211 sysfs directory as well to detect
  wireless devices

* Wed May 08 2013 blino <blino> 15.50-1.mga3
+ Revision: 412601
- harddrake: require libdrakx-net >= 1.24
- 15.50
- harddrake service:
  o do not disable bluetooth service if adapter disappears
    (for example if disabled by Fn keys)
    systemd will automatically disable the service if needed
  o install ethernet/wireless packages when a new device is detected,
    this shoud help for Broadcom devices

* Tue Apr 30 2013 tv <tv> 15.47-1.mga3
+ Revision: 411718
- skip comments in /etc/crypttab (Colin, mga#9905)

* Mon Apr 29 2013 tv <tv> 15.46-1.mga3
+ Revision: 411590
- logdrake:
  o ensure syslog-daemon is installed (stopgap to full journal support)
- requires mageia-doc-common now that it exists & it provides ctxhelp.pm

  + colin <colin>
    - Ensure a recent version of drakx-kbd-mouse-x11 is required to fix mgapplet half-upgraded issue.

* Sat Apr 27 2013 tv <tv> 15.45-1.mga3
+ Revision: 411475
- diskdrake:
  o only allow 'acl' option for extX & reiserfs (mga#9884)
- drakboot:
  o try harder to get a label for other OSes (mga#9849,9681)

* Tue Apr 23 2013 tv <tv> 15.44-1.mga3
+ Revision: 411036
- partionning:
  o fix a crash when reloading partition table (mga#9838)
  o fix a crash when trying to create a encrypted LVM partition (mga#9837)

* Sun Apr 21 2013 tv <tv> 15.42-1.mga3
+ Revision: 410677
- partionning (mga#5661):
  o ensure LVMs on top of dmcrypt are activated after unlocking
  o fix UI redraw issue after unlocking dmcrypt partition
- popup dialog confirming to quit when clicking "X" (mga#8476):
  o do not enable it by default
  o enable apps to enable it on demand
- updated translations

* Fri Apr 19 2013 tv <tv> 15.40-1.mga3
+ Revision: 410565
- diskdrake (mga#5661):
  o fix loosing crypt key when detecting LVMs on top of dmcrypt
  o fix loosing crypt key when re-reading partition tables
- drakauth:
  o 'nss-pam-ldapd' obsoletes 'pam_ldap' (mga#9769)
- drakups:
  o do not rely on legacy initscript for install test (mga#9474)

* Tue Apr 09 2013 tv <tv> 15.37-1.mga3
+ Revision: 409160
- library:
  o fix detecting some USB devices due to not reporting their class (mga#9674)
- finish-install:
  o configure urpmi media even if local media are configured, and only if
    online media are not setup (for live)
- diskdrake:
  o allow to choose btrfs in normal mode (mga#65)
- harddrake:
  o fix displayed PCI/USB ids (spot in mga#9674)
  o list HID USB devices with keyboards

* Sat Apr 06 2013 tv <tv> 15.36-1.mga3
+ Revision: 408485
- library (for draklive-install):
  o bind mount /run in chroot, thus fixing dracut runs (Dave Hodgins, mga#9213)
- drakboot:
  o fix other Mga OS names in menu (mga#8710)

* Fri Apr 05 2013 tv <tv> 15.35-1.mga3
+ Revision: 408296
- drakboot:
  o assume grub2.cfg is UTF-8 encoded
  o read back xen conf from grub2
  o set entries type when reading back grub2 conf, thus fixing
    switching back to grub-legacy (mga#9563)
- fix finding translated help (mga#9619)

* Thu Apr 04 2013 tv <tv> 15.33-1.mga3
+ Revision: 407669
- bootloader-config:
  o fix adding bogus bootloader entries (root=/dev/) when silently
    failing to lookup / partition (mga#8717)
  o try harder to lookup / partition y looking at mounted points (mga#8717)

* Thu Mar 28 2013 tv <tv> 15.31-1.mga3
+ Revision: 406048
- do not show notification bubble in net_applet as they make it to
  segfault (mga#9102)
- recognize more webcam & bluetooth devices (might help mga#5841)

* Fri Mar 22 2013 tv <tv> 15.28-1.mga3
+ Revision: 404420
- bootloader-config:
  o do not build initrd if no bootloader is detected and
    --no-initd argument is supplied
- diskdrake:
  o actually preserve UUID when formatting (mga#9428)
- drakauth:
  o install nss-pam-ldapd instead of nss_ldap (mga#9375)

* Tue Mar 12 2013 tv <tv> 15.27-1.mga3
+ Revision: 402128
- fix mounting NFS server (Derek Jennings, mga#207)
- drakboot:
  o install grub2-efi instead of grub2 if using UEFI (mga#8886)

* Tue Mar 05 2013 tv <tv> 15.26-1.mga3
+ Revision: 401498
- include display_installer_help
- finish-install:
  o prevent displaying twice release notes

* Fri Mar 01 2013 tmb <tmb> 15.24.1-1.mga3
+ Revision: 400953
- harddrake:
  o add nvidia304 to service_harddrake (Luc Menut, mga #9216)

* Thu Feb 28 2013 tv <tv> 15.24-1.mga3
+ Revision: 400645
- drakboot:
  o allow installing grub2 on a partition (mga#8462)
  o try harder not to have duplicate stuff on grub2 cmd line

* Wed Feb 27 2013 tv <tv> 15.23-1.mga3
+ Revision: 400476
- drakboot:
  o fix detecting grub2 if there's a remaining grub-legacy signature
  o read more of grub2 config
  o read & save timeout value (mga#8850)
  o set default parameters in grub2 config (mga#9177)

* Tue Feb 26 2013 tv <tv> 15.21-1.mga3
+ Revision: 400345
- bootloader-config:
  o add proper support for grub2 (detectloader, ...)
- drakboot:
  o add basic support for reading back grub2 config
  o read & write /boot/grub2/drakboot.conf
  o prevent installing grub2 somewhere else than MBR
- always bypass blkid cache (the cache only includes a subset of the data we need)

* Wed Jan 23 2013 fwang <fwang> 15.19-2.mga3
+ Revision: 391269
- update rpm group

* Wed Jan 16 2013 tmb <tmb> 15.19-1.mga3
+ Revision: 388851
- update translations
- do not bypass blkid cache

* Thu Jan 10 2013 tmb <tmb> 15.14-3.mga3
+ Revision: 344887
- rebuild for new meta-task

* Thu Jan 10 2013 tmb <tmb> 15.14-2.mga3
+ Revision: 344855
- rebuild for ldetect-lst and other updates

* Mon Dec 17 2012 tv <tv> 15.14-1.mga3
+ Revision: 332194
- ugtk2: use new exceptions management
- drakboot:
  o fix installing grub2 from live session (blino)

* Sat Dec 15 2012 tv <tv> 15.13-1.mga3
+ Revision: 331046
- fix checking grub2 installation (mga#8390)

* Fri Dec 14 2012 tv <tv> 15.12-1.mga3
+ Revision: 330980
- "enhance" fake gru2 conf reading (mga#8366)

* Thu Dec 13 2012 tv <tv> 15.11-1.mga3
+ Revision: 330458
- interactive layer:
  o fix quitting app when closing "advanced" dialog (mga#1812)
- mygtk2 layer:
  o add register_main_window() for tracking main windows
  o popup a dialog confirming to quit when clicking "X" (mga#1812)

* Wed Dec 12 2012 tv <tv> 15.10-1.mga3
+ Revision: 329863
- revert rosa crap that breaks generating initrd (mga#8357)

* Tue Dec 11 2012 tv <tv> 15.9-1.mga3
+ Revision: 329634
- library:
  o if a partition has been manually formated, don't offer to format
    it again (for draklive-install, mga#7822)

* Sun Dec 09 2012 tv <tv> 15.3-1.mga3
+ Revision: 329071
- finish-install:
  o fix a crash by lazy loading services when needed
    (Dave Hodgins, mga#8335)

* Fri Dec 07 2012 tv <tv> 15.2-1.mga3
+ Revision: 327951
- drakboot:
  o add fake gru2 conf reading

* Fri Dec 07 2012 tv <tv> 15.1-1.mga3
+ Revision: 327788
- add basic support for grub2 (mga#416)
  (based on rosa work but fixed and completed)

* Tue Nov 06 2012 tv <tv> 14.50-1.mga3
+ Revision: 314822
- adapt to new reboot path
- include FIRMWARE packages from Cards+ in detected graphical drivers,
  not to remove radeon-firmware if a matching card is present (#6438, #7641)

* Fri Oct 12 2012 tv <tv> 14.47-1.mga3
+ Revision: 304830
- diskdrake:
  o offer resizing NTFS again (broken by ntfsprogs -> ntfs-3g switch)
- drakclock:
  o do not crash if timezones cannot be listed (mga#6787)
- drakfont:
  o fix a crash
  o fix ttmkfdir path
- requires ttmkfdir for drakfont

* Thu Sep 20 2012 tv <tv> 14.45-1.mga3
+ Revision: 296437
- do not crash when trying to guess homedir before running another
  process (mga#7403)
- drakfont:
  o fix moving font files with space in their names (mga#2689)
- harddrake2:
  o remove useless "Autodetect printers" option

* Fri Sep 14 2012 tv <tv> 14.44-1.mga3
+ Revision: 293961
- drakbug:
  o fix preselecting "RPM package" (Manuel Hiebel, mga#7380)
- finish-install:
  o advertize new doc license & licenser (mga#7347)

* Tue Sep 04 2012 tv <tv> 14.43-1.mga3
+ Revision: 288168
- fix crashing when a banner icon doesn't exist (mga#5223)
- recognize new drivers:
  o input: hid-aureal synaptics_usb
  o wifi: qmi_wwan, mwifiex_usb

* Mon Sep 03 2012 tv <tv> 14.40-2.mga3
+ Revision: 287711
+ rebuild (emptylog)

* Mon Sep 03 2012 tv <tv> 14.40-1.mga3
+ Revision: 287699
- boodloader:
  o ensure initrds used in combination with kernels with vga= arguments
    are regenerated when needed
- adapt to usbfs death
- drakx-in-chroot:
  o adapt to usbfs death
- drakxservices:
  o fix checking systemd presence after systemd merge of subpackages

* Tue Aug 07 2012 tv <tv> 14.33-1.mga3
+ Revision: 279727
- further fix bogus translations that broke build
- fix bogus translations that broke build
- autologin:
  o support lxdm & slim too (#3715, Derek Jennings)
  o install autologin for lxdm & slim too
- drakboot:
  o do not crash if trying to build initrd from unknown partitions (mga#4290)
  o install acpi & acpid at once
- drakxservices:
  o when listing services ensure disabled services that can be enabled are
    shown (mga#6843)

* Fri Aug 03 2012 fwang <fwang> 14.31-2.mga3
+ Revision: 278267
- rebuild for new parted

* Tue Jul 24 2012 tv <tv> 14.31-1.mga3
+ Revision: 274006
- drakauth: don't update UsePAM option in sshd configuration
- diskdrake: install nfs-utils instead of nfs-utils-clients
  (#6570, merged back in nfs-utils)

  + shlomif <shlomif>
    - Add information to the SPEC about where the source is maintained.

* Tue Jun 12 2012 tv <tv> 14.21-3.mga3
+ Revision: 259959
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 14.21-2.mga3
+ Revision: 259291
- require kmod instead of module-init-tools

* Fri May 11 2012 tv <tv> 14.21-1.mga2
+ Revision: 235336
- harddrake2: allow writing 0 as module option, and forbid options
  with spaces (#5839, from Colin)
- export res_init function to perl lib

* Sun May 06 2012 tv <tv> 14.20-1.mga2
+ Revision: 234810
- diskdrake:
  o drop support for reiser4 (mga#5680)
- harddrake service:
  o do not disable cpufreq on non-laptops
  o remove double apmd check

* Sun Apr 29 2012 tv <tv> 14.16-1.mga2
+ Revision: 234179
- drakxservices:
  o use non-blocking mode for service restart (mga#4439)

* Wed Apr 25 2012 tmb <tmb> 14.11-1.mga2
+ Revision: 233212
- drop P0 (merged)

  + tv <tv>
    - finish-install: make sure sbin is added to PATH
    - harddrake:
      o list "zc3xx" driven as webcams (mga#5449)
    - interactive::curses:
      o make sure ranges are always within limits (mga#646)
    - ensure swap partition is activated in dracut (e.g. for swap on LVM, RAID etc)
    - drakboot:
      o display mountpoint if available, and size+fs_type if we have nothing
        else (mga#5460)
    - diskdrake:
      o do not set fs_type to ext4 for raw LVM/RAID/LUKS
      o detect LVM on top on Encrypted partitions (mga#5330)
    - drakxservices:
      o systemd support (mga#3253, mga#3740, mga#4910, mga#5122)
    - s/XFree/X.org/ in description (mga#5443)

* Tue Apr 17 2012 tmb <tmb> 14.3-2.mga2
+ Revision: 231138
- finish-install: make sure sbin is added to PATH (blino)

* Sat Apr 07 2012 pterjan <pterjan> 14.3-1.mga2
+ Revision: 229464
- diskdrake:
  o fix partition numbering on GPT (mga#3091)

* Thu Apr 05 2012 tv <tv> 14.2-1.mga2
+ Revision: 228745
- harddrake service:
  o cpufreq performance governor is no longer a module
  o reduce default timeout from 10 to 2mn (mga#4772)

* Sun Mar 25 2012 colin <colin> 14.1-2.mga2
+ Revision: 226393
- Migrate grub bootsplash params to new style: 'splash quiet' rather than 'splash=silent' (mga#3430)

* Fri Mar 23 2012 tv <tv> 14.1-1.mga2
+ Revision: 225989
- drop very old conflicts
- drakauth:
  o fix actually displaying "Domain Windows for authentication"
- drakboot:
  o use "splash" on the kernel command line vs. "splash=silent" as per upstream
    code (e.g. plymouth, systemd and others)
  o support the "quiet" kernel command line argument to hide kernel text
- drakbug, draksec, drakxhelp, logdrake:
  o fix displaying "Mageia"
- harddrake:
  o fix detecting bluetooth devices

* Mon Mar 12 2012 tv <tv> 13.93-1.mga2
+ Revision: 223105
- fix mgaapplet crashing on live migration when there's a new major version of
  perl (mga#3042)
- reduce resident memory of net_applet (5Mb aka 11%%) & mgapplet (7Mb aka 14%%)

* Sun Mar 11 2012 tv <tv> 13.92-1.mga2
+ Revision: 222576
- english message improvement (mga#456)
- diskdrake:
  o fix error on removing LVs
  o fix resizing LVs (mga#4666)

* Sun Mar 04 2012 tv <tv> 13.89.2-1.mga2
+ Revision: 218206
- redo properly the tarball (mga#4783)

* Fri Mar 02 2012 anssi <anssi> 13.89.1-1.mga2
+ Revision: 216897
- service_harddrake:
  o recognize XZ compressed proprietary driver modules properly (mga#4767)

* Wed Feb 29 2012 tv <tv> 13.86-1.mga2
+ Revision: 216016
- load 'xts' module for crypted fses (Dave Hodgins, mga#3749)
- recognize more HID drivers (mga#4129)

* Mon Feb 13 2012 tv <tv> 13.81-1.mga2
+ Revision: 208473
- localedrake:
  o add hime
  o remove chinput, kinput2, oxim, xcin
- make drakclock systemd compatible
- fix crashing on parsing garbaged DMI info (mga#4329)
- diskdrake:
  o use better cipher for encrypted fses (mga#3092)

* Wed Jan 25 2012 tv <tv> 13.79-1.mga2
+ Revision: 201357
- silent failure to extract gz modules (for rescue)
- diskdrake:
  o better default name for new VG (vg-mga, vg-mga1, ...
    instead of vg-0, vg-1, ...)

* Mon Jan 23 2012 tv <tv> 13.77-1.mga2
+ Revision: 200365
- add support for XZ modules
- diskdrake:
  o enable to set LV names when not in expert mode
  o enable to set label on btrfs & nilfs fses as well as on swap
  o preserve UUID when reformating a nilfs fs
  o report back error from lvm2
  o suggest better LV names based on the mount point rather than numbers

* Fri Jan 06 2012 tv <tv> 13.74-2.mga2
+ Revision: 192029
- rebuild with new libldetect, saving quite a lot of RAM

* Sat Dec 24 2011 tmb <tmb> 13.74-1.mga2
+ Revision: 187097
- sync version with stage2
- fix mdv references

* Sat Dec 24 2011 tmb <tmb> 13.73-1.mga2
+ Revision: 187083
- drakboot:
  o display partition labels in list instead of just disk names in "boot
    device" choice
  o display partition labels when adding a foreign OS
- harddrake: fix missing names (mga#3745)
- interactive::curses: default to 80x25 (fixes serial)
- dont force init=/bin/systemd (#3856, already fixed in svn by blino)
- drop buildroot and defattr

* Thu Dec 15 2011 blino <blino> 13.72.1-2.mga2
+ Revision: 181664
- add explicit perlapi requires (#3731) since find-requires won't find XS modules in non-standard perl path

* Sun Dec 11 2011 tv <tv> 13.72.1-1.mga2
+ Revision: 180612
- fix $HOME for all when runing as another user instead of root (mga#287)
- harddrake: fix crash after mismerge (mga#3696)

* Sat Dec 10 2011 tv <tv> 13.72-1.mga2
+ Revision: 180110
- drakhelp: make it work somewhat despite lack of doc
- prevent net_applet to crash on notifications without icons (mga#2876)
- harddrake:
  o do not display some bluetooth stuff as unknown (mga#1460)
  o prevent detecting some soft modems as scanners (mga#2753)

* Sun Dec 04 2011 anssi <anssi> 13.71-1.mga2
+ Revision: 175822
- service_harddrake:
  o better notification message when the driver has been automatically
    switched
  o show a correct warning message when a proprietary driver is loaded while
    a free driver is configured
  o fix driver switch failing to alter xorg.conf when the Driver line doesn't
    contain default whitespacing (reported by Barry Jackson)

* Sun Nov 27 2011 tv <tv> 13.70.2-1.mga2
+ Revision: 172854
- fix crashing on creating temp file if temp dir doesn't exist (mga#1396)

* Tue Nov 22 2011 tv <tv> 13.70.1-1.mga2
+ Revision: 171084
- drakbug:
  o do not keep around the segfaulted process once we collected all needed data
    when running drakbug
  o regroup misc data in bugzilla

* Tue Nov 22 2011 tv <tv> 13.70-1.mga2
+ Revision: 171045
- drakbug:
  o report the gtk+ theme in use (#3127) which explain some crashes (eg: #2679)
  o include better C traces in reports
  o remove top of traces that is inside bug handler from report
  o no more run GDB (too late & faster)

* Thu Oct 20 2011 tv <tv> 13.63-2.mga2
+ Revision: 156940
- rebuild for new ldetect

* Wed Sep 07 2011 tv <tv> 13.63-1.mga2
+ Revision: 140919
- drop patch 0 (merged)
- finish-install:
  o "Multi languages" => "Multiple languages" (mga#1011)
- diskdrake:
  o always align partitions to start at megabyte boundaries to avoid
    performance issues with drives with 4k physical sectors (mga#1215)
- patch 0: fix LSB keywords
- drop patch0 (merged upstream)
- disdrake:
  o spaces are not allowed between options in /etc/fstab (#2271)
- drakfont:
  o rename Ooo as LibreOffice (#461)
  o enable support for LibreOffice/gs/... only if available (#461)
- fix bootloader entries names
- any.pm:
  o Add lxsession to the wm list, and add lxde-logout as the
    ask_window_manager_to_logout command (mga#1395)
  o share some kernel check's code for drakx-net (#1266)

  + tmb <tmb>
    - fix version detection for naming of bootloader entries
      * before: title 2 3.0.0-desktop-1.mga
      * after:  title desktop 3.0.0-1.mga2

* Tue Jul 19 2011 fwang <fwang> 13.59-2.mga2
+ Revision: 126188
- rebuild for new parted

* Tue Jun 14 2011 dmorgan <dmorgan> 13.59-1.mga2
+ Revision: 106012
- Fix new libnotify API

* Sun Jun 12 2011 ahmad <ahmad> 13.58-2.mga2
+ Revision: 105356
- Rebuild for perl-5.14.0

* Thu May 26 2011 ennael <ennael> 13.58-1.mga1
+ Revision: 100540
-update translations
- fix top banner

* Fri May 20 2011 blino <blino> 13.55-1.mga1
+ Revision: 99831
- 13.55
- finish-install: do not try to replace home path for device files
  after live install (#1148)
- add ums-* (USB mass storage) modules in disk/usb category

* Thu May 19 2011 tv <tv> 13.54-1.mga1
+ Revision: 99705
- draksound:
  o Robustify the PulseAudio configs (don't try and write files if they
    do not exists. Doing so previously would result in blank files that then
    causes problems when installing PulseAudio as the "config" files are not
    overwritten properly which can result in broken PA startup)
  o Remove the "Enable 5.1..." option. This is now done via card profiles
    in native GUIs for GNOME and KDE (or pavucontrol)
  o Remove the "Enable user switching..." option as it relies on HAL
    which is deprecated.
- scannerdrake: use skanlite instead of kooka
- any.pm: fix faces icons paths (mga#1315)
- fix reading security level with new msec (mga#332)

* Sat May 14 2011 pterjan <pterjan> 13.52-1.mga1
+ Revision: 98780
- diskdrake: disbale encryption option for /boot
- match partitions when one of them as device_alias to the device of the other
  one (Fixes Mageia bug #1041)

* Thu May 12 2011 ennael <ennael> 13.51-1.mga1
+ Revision: 97560
- update icons for harddrake

* Fri May 06 2011 tv <tv> 13.50-1.mga1
+ Revision: 95562
- bind more pciutils/libldetect for stage1
- localedrake:
  o use proper locales-XX packages for Albanian (#1036)

  + dmorgan <dmorgan>
    - imported package drakxtools

